* E Posta Adresiniz:
* Kodu Girin:

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] > 40 < [45] [50] [55] [60] [65] [70] [75] [80] [85] Sonraki Sayfa
İleti Yazar
16.05.2013 16:37
73196    
Travaci

[70] Editör

Online Durumu

2086 ileti
Teknik Ressam
Konstantinopol

Yazıyı boşluktan bölen lisp yapıyordum yarım kaldı, bitsin "-" ile değiştirip koyarım buraya.

19.05.2013 12:25
73225    
vbaran211

[1] Yeni üye

Online Durumu

2 ileti
inş. müh.
ankara

Arkadaşlar hepnize iyi günler...
Sitede yayınlı olan bir lisp üzerinde çok ufak bir değişikliğe ihtiyacım var...
Kendim uğraştım ama çok acemi olduğumdan beceremedim...
Yardımcı olursanız gerçekten çok sevineceğimi bilmenizi isterim...

"Seçilen Polyline'ların köşe koordinatları, ara mesafeleri, alan ve çevrelerini tablo halinde yazan AutoLisp fonksiyonu"


Linkleri görebilmek için ÜYE olmalısınız.


Öncelikle
bu lisp dosyasını yazan arkadaşın ellerine sağlık gerçekten çok yararlı bir çalışma...

Benim tek istediğim lisp en sonunda poligon özet tablosu oluşturuyor...
bu özet tablosunda Poligon Adı,Alan,Çevre bilgileri yer alıyor....
Benim düzenlenmesini istediğim yer sadece burası...

Poligon özet tablosunda.
Poligon Adı,Poligonun Merkezinin X koordinatı,Poligonun Merkezinin Y koordinatı,Poligonun En uzunluğu,Poligonun boy uzunluğu...

Bu düzeltmeyi yapabilirseniz gerçekten çok sevineceğim hepinize teşekkür ederim...

19.05.2013 15:41
73226    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Aslına bakılırsa, "çok ufak bir değişiklik" dediğiniz, eni konu ciddi bir değişiklik.

Merkez'den neyi kastettiğiniz tanımsız kalmış. Poligon (çokgen) türünde bir geometrik şeklin Merkez'inden söz edemeyiz. Kastedilen Ağırlık merkezi ise, çokgen'in ağırlık merkezi de olmaz. Ancak çokgen'in sınırladığı alanın ağırlık merkezinden söz edebiliriz. Mevcut Fonksiyonda, Poligon adlarının yazılması için poligon tanım nokta koordinatlarının ortasına yazılması yeterli görmüştüm. Kenarları doğrusal (Line) olan çokgen'lerde bulunan nokta bahsedilen ağırlık merkezi ile çakışmakla birlikte, eğri (arc) kenarların olması durumunda bu doğru değildir.

Bu nokta doğru şekilde bulunduktan sonra ancak koordinatları yazılabilir.

Poligonun "En ve Boy Uzunlukları" kavramları da belirsiz.

Linkleri görebilmek için ÜYE olmalısınız.

linkinde bu konudan bahsetmiştim.

Söz konusu kavramları netleştirdiğimizde problemin ciddi bir kısmı çözülmüş demektir.

Bahsettiğiniz değişiklikleri yazma konusunda zaman fukaralığımızdan kaynaklanan sebeplerle bu günden yarına söz vermek mümkün değil.

Kolay gelsin.

Where there is a will, there is a way... Beğenmek için anlamak lazım...

20.05.2013 08:01
73227    
2032223351

[3] Kıdemli Girişimci

Online Durumu

44 ileti
harita Muhendisi
cimkent

hocam bir yardimda bulunabilirmisiniz ? benim ayni sev lisp indeki gibi bir lispe ihtiyacim var ama kissa cizgiler olmayacak iki paralel line cizgisi sectigimde uclari cizgilere birlesik istedigim olcu araliginda ve ilk sectigim cizgiyi ana cizgi olarak kabul edip(linelerin olculeri bir olmaya bilir bu yuzden ilk cizgi uzerinden olculendirip ofset yapmasini istedim) ofset yapacak bir lispe ihtiyacim var yardimci olurmusunuz ?

Not : Cizgileri coklu secebilirsem cok daha iyi olur.

tesekkur ederim !!!!!


2032223351 (21.05.2013 11:11 GMT)

20.05.2013 09:48
73228    
vbaran211

[1] Yeni üye

Online Durumu

2 ileti
inş. müh.
ankara

Prohibit hocam ilginiz için teşekkür ederim.
Benim bütün poligon elemanlarım dikdörtgen geometriye sahip.
Poligon özet tablosunda her poligonun 4 köşesinin koordinatlarını verse benim için yine yeterli...
siz zaten her poligon için oluşturduğunuz tabloda bu bilgiyi veriyorsunuz sadece özet tabloda da olursa ben hepsini tek seferde excelle atıp manipülasyon edebilirim... benim bütün poligonlarım dikdörtgen geometriye sahip olduğundan sadece 4 köşe noktası var... poligonun merkez noktasını da ağırlık merkezi gibi düşünebilirsiniz...

Poligon Özet tablosu
Poligon ADI -- 1.köşe noktası -- 2.köşe noktası -- 3.köşe noktası -- 4.köşe noktası
_______________________________________________________________________________
Poligon-1 --------- X1,Y1 ----------- X2,Y2 --------------- X3,Y3 -------------- X4,Y4
Poligon-2 ........
.
.
.
.
bu ve benzeri şekilde istediğiniz formatta nasıl kolayınıza geliyorsa bu bilgileri bütün poligon elemanlar için özet tabloda görebilirsem excellde bütün poligonların enini boyunu ve X ve Y koordinatlarının aritmetik ortalamasını alarak merkez noktalarına erişebilirim... Mevcut lispinizde poligon özet tablosunda sadece alan ve çevre bilgileri var,bu bilgiler sadece yukarıdaki gibi değiştirilebilirse benim için çok faydalı olacak.Mevcut lispi kullanmak istersem her poligonun kendi özel tablosunu tek tek excelle atıp manipüle etmem gerekiyor. Ama istediğimi düzenlemeyi yapabilirseniz özet tabloda bütün poligonların köşe noktalarının koordinatlarını görebilirim...
Umarım açıklayıcı olabilmişimdir...
Benim ihtiyacım olan şey belirli bir alan içindeki poligonlara tek tek isim verip bunların 4 köşesinin koordinatı vermesi herhangi başka bir lispde olabilir.(bütün poligonlarım dikdörtgen)
SAYGILARIMLA...


vbaran211 (20.05.2013 11:59 GMT)

22.05.2013 10:47
73259    
johnson_fray

[2] Girişimci

Online Durumu

1 ileti
inş.müh.
istanbul

Merhaba,
Demir metrajı yaptım ve pozlarını yazdım tcount ile. Benzer pozları düzenledim ve dolayısıyla arada bazı pozlar silindi.
Örneğin 1,2,3,5,17,25,26,38 şeklinde poz nolarını yeniden sıralatmak istiyorum aynı olan pozları aynı kalmasını istiyorum.
Yani 25 nolu tüm pozlar yeni sıralamadan 13 oluyorsa hepsinin 13 olması gibi.

Teşekkürler.

22.05.2013 11:43
73264    
kimim ben

[3] Kıdemli Girişimci

Online Durumu

27 ileti

Selam benim en buyuk sorunun cok pdf cikişi almak.Bunu hizlandirmak icin bir lisp olabilir mi? Cikiş alinacak cerceveleri secsem bunlari benim tanimladigim onceden belirlenmis yazici ayarlari ve kayit yerine pdf olarak cikiş ayarlasa bana cok hiz kazandirir.Yapabilecek bir arkadas varsa cok sevinirim.

Çizilemeyen şey yoktur.Çizemeyen kişi vardır!

08.06.2013 10:55
73678    
2032223351

[3] Kıdemli Girişimci

Online Durumu

44 ileti
harita Muhendisi
cimkent

iyi gunler
Kod:

(defun C:1 (/)
(while (setq ipT (getpoint "\rPick internal point: "))
    (command "_.hatch" "p" "SOLID" "s" ipt "")


bu kodu ayni bu sekilde duzenleyebilirmisiniz ? neresinde yanlis yaptigimi anlayamadim da assagisindaki hatch islemini yukardakine nasil birlestirebilirim ?

08.06.2013 11:27
73681    
Travaci

[70] Editör

Online Durumu

2086 ileti
Teknik Ressam
Konstantinopol

Kod:

(defun C:1 (/)
   (setvar "hpname" "solid")
   (command "-hatch"  (getpoint "\nPick internal point: ") ""))

08.06.2013 11:28
73682    
2032223351

[3] Kıdemli Girişimci

Online Durumu

44 ileti
harita Muhendisi
cimkent

cok saol ama bu devamli olmuyor sadece 1 kere yaPIyor bunu nasil devamli hale getirebilirim

10.06.2013 06:54
73686    
2032223351

[3] Kıdemli Girişimci

Online Durumu

44 ileti
harita Muhendisi
cimkent

ben hallettim onuda bir sorum daha olacak bu yapilan hatch a layer adi vermek istiyorum bunun icin
Kod:

(entmake (list (cons 0 "-hatch") (cons 8 Koordinat))))


bunu nasil duzenlememiz lazim ?

10.06.2013 10:14
73687    
Travaci

[70] Editör

Online Durumu

2086 ileti
Teknik Ressam
Konstantinopol

cons 0 türü içindir -hatch deil (cons 0 "hatch") olmalıdır
cons 8 ise layer içindir (cons 8 "Koordinat") şeklinde olmalıdır.

10.06.2013 11:10
73689    
2032223351

[3] Kıdemli Girişimci

Online Durumu

44 ileti
harita Muhendisi
cimkent

Kod:

(defun C:1 (/)
   (setvar "hpname" "solid")
   (command "-hatch"  (getpoint "\nPick internal point: ") ""))
(entmake (list (cons 0 "hatch") (cons 8 "Koordinat")))


bu sekildemi yazmam gerekiyor ?

10.06.2013 11:32
73690    
Travaci

[70] Editör

Online Durumu

2086 ileti
Teknik Ressam
Konstantinopol

Hem command kullandınız hem entmake nasıl olucak ?
Birinden birini kullanmalısınız. Entmake kullanıyorsanız dxf kodlarının arasında tarama yapıcagınız alanın köşe noktalarını göstermelisiniz. Layer belirlemek istiyorsanız ;
Kod:

(defun C:1 (/)
   (setq tarama (getvar "Hpname") layer (getvar "Clayer"))
   ;geçerli tarama ve layerı ı hafızaya aldık
   (setvar "hpname" "solid") (setvar "clayer" "Koordinat")
   ;taramayı solid, layerıı koordinat yaptık
   (command "-hatch"  (getpoint "\nPick internal point: ") "")
   ; taradık
   (setvar "hpname" tarama) (setvar "clayer" layer))
   ;tarama ve layerı işlem yapmadan önceki durumuna getirdik.

13.06.2013 18:34
73743    
kimim ben

[3] Kıdemli Girişimci

Online Durumu

27 ileti

Alıntı
kimim ben :
Selam benim en buyuk sorunun cok pdf cikişi almak.Bunu hizlandirmak icin bir lisp olabilir mi? Cikiş alinacak cerceveleri secsem bunlari benim tanimladigim onceden belirlenmis yazici ayarlari ve kayit yerine pdf olarak cikiş ayarlasa bana cok hiz kazandirir.Yapabilecek bir arkadas varsa cok sevinirim.


Yardımcı olabilecek yok mu arkadaşlar

Çizilemeyen şey yoktur.Çizemeyen kişi vardır!

13.06.2013 18:55
73744    
ehya

[90] Yönetici

Online Durumu

3192 ileti
Teknik Ressam
Ankara

kimim ben




Böyle bir işlem bilgisayarın kilitlenmesine neden olur. Eğer bu işlemde bir sakınca olmasaydı autodesk yapardı.

14.06.2013 11:46
73749    
özkan-wien

[10] Üstad

Online Durumu

443 ileti

Ankara

Alıntı
kimim ben :
Alıntı
kimim ben :
Selam benim en buyuk sorunun cok pdf cikişi almak.Bunu hizlandirmak icin bir lisp olabilir mi? Cikiş alinacak cerceveleri secsem bunlari benim tanimladigim onceden belirlenmis yazici ayarlari ve kayit yerine pdf olarak cikiş ayarlasa bana cok hiz kazandirir.Yapabilecek bir arkadas varsa cok sevinirim.


Yardımcı olabilecek yok mu arkadaşlar



ayni dwg nin icinde ben yapmistim, cok da süper olmustu hem de hizli. layerlari otamatik acip kapatiyordu 4 farkli plot ya da pdf aliyordu. ama bunu kendi pc ne adapte etmen lazim. ben kendi lispimi örnek olmasi amaciyla gönderiyorum sana,layer isimlerini degistir eger ac kapa yapcaksan. yoksa yer girislerini degistir. pc de kitlenme olmuyor aksine cok suratli gonderiyor.

ben 4 plot ya da 4 pdf yapiyordum ayni noktalardan.
(defun c:4p()

(setq lstp (getpoint "\nBir nokta girin"))
(setq lstd (getpoint "\nBir nokta girin"))

;;(command "plot" "yes" "" "" "A3" "m" "" "" "w" lstp lstd "" "" "" "" "" "" "" "" "")

(command "layer" "set" "0" "" "layer" "OFF" aaaaaaa" "") (command "layer" "ON" bbbbbbb" "" "layer" "set" cccccc" "")

(command "plot" "yes" "" "" "A3" "m" "" "" "w" lstp lstd "" "" "" "" "" "" "" "" "")

(command "layer" "set" "0" "" "layer" "OFF" aaaaaa" "") (command "layer" "ON" ccccccccc" "" "layer" "set" dddddddd" "")

(command "plot" "yes" "" "" "A3" "m" "" "" "w" lstp lstd "" "" "" "" "" "" "" "" "")

(princ))


özkan-wien (14.06.2013 12:04 GMT)

14.06.2013 13:12
73754    
Travaci

[70] Editör

Online Durumu

2086 ileti
Teknik Ressam
Konstantinopol

özkan-wien

Kod:

(defun c:cLnEu (/)
   (setq lYr (cdr (assoc 8 (entget (car (entsel)))))
         pZt (vl-string-position (ascii "-neu") lYr))
   (if (/= pZt nil)
      (progn
       (command "_.-layer" "r" lYr (strcat (vl-string-right-trim "-neu" lYr)
                "-abb") "") (princ))
      (progn)
   )
)


Travaci (14.06.2013 13:53 GMT)

14.06.2013 15:35
73765    
özkan-wien

[10] Üstad

Online Durumu

443 ileti

Ankara

ben söyle bi sey yapmak istemistim aslinda
ama su an Lisp calismiyor tabiiki - doktora ihtiyaci var. dr.ehya ya da dr.travaci


(defun c:cab (/ )

(princ "\nSelect object for layername change to -ABB")



(setq mab_sec (ssget))



(setq mab_adet (sslength mab_sec))

(setq mab_syc 0)


(repeat mab_adet

(setq mab_ele (ssname mab_sec mab_syc))



(setq mab_elem (entget mab_ele))
(setq mab_layern (cdr ( assoc 8 mab_elem)))




(setq pZt (vl-string-position (ascii "-neu") mab_layern1))

(if (/= pZt nil)

(progn
(setq mablayer_yaz (strcat (vl-string-right-trim "-neu" mab_layern1)
"-abb") "")

(command "change" mab_ele "" "P" "LA" mab_layern_yaz "")


(princ))
(progn)
);if


(setq mab_syc (1+ mab_syc))

);repeat





(princ))

14.06.2013 15:38
73766    
Travaci

[70] Editör

Online Durumu

2086 ileti
Teknik Ressam
Konstantinopol

özkan-wien ordan burdan şurdan bişileri alıp alıp birleştiriyorsun sonra çalışmadı diyorsun : ) çalışmaz tabi. Şimdi ben bu kodların içinde ne yapmak istediğini nasıl anlıcam, niye uğraştırasın beni. Açık açık sölede bilelim

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] > 40 < [45] [50] [55] [60] [65] [70] [75] [80] [85] Sonraki Sayfa
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 2263 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam